reportResult

POST /v1/risk/disputes/reportResult

Use this API to synchronize dispute results to Antom Risk, including dispute cancellation, dispute acceptance by merchant and dispute judgment results.


Request parameters

disputeId String  REQUIRED

The unique ID received from the gateway/acquirer to identify a dispute.

More information:

  • Maximum length: 64 characters

disputeJudgedResult String  REQUIRED

The result of the dispute judgement. Valid values are:

  • WIN: indicates that the dispute is judged to be the buyer's responsibility.
  • LOSS: indicates that the dispute is judged to be the merchant's responsibility
  • ACCEPT: indicates that you accept the dispute.
  • CANCEL: indicates that the buyer cancels the dispute.

disputeJudgedTime DateTime  

The date and time when the dispute is judged.

More information:

  • The value follows the ISO 8601 standard format. For example, "2019-11-27T12:01:01+08:00".

disputeJudgedAmount Amount  

The deduction amount borne by the merchant when the value of disputeJudgedResult is LOSS.

Show child parameters

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters
API Explorer
Sample CodesRun in Sandbox

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess
PARAM_ILLEGALFThe required parameters are not passed, or illegal parameters exist. For example, a non-numeric input, an invalid date, or the length and type of the parameter are wrong.

Check and verify whether the required request fields (including the header fields and body fields) of the current API are correctly passed and valid.

SYSTEM_ERRORFA system error occurred.

Do not retry, and contact Antom Technical Support for more details.